package eu.mikroskeem.bot.maerahn.commands;

import eu.mikroskeem.bot.maerahn.Bot;
import org.slf4j.Logger;
import org.telegram.telegrambots.TelegramApiException;
import org.telegram.telegrambots.api.methods.send.SendMessage;
import org.telegram.telegrambots.api.objects.Chat;
import org.telegram.telegrambots.api.objects.User;
import org.telegram.telegrambots.bots.AbsSender;
import org.telegram.telegrambots.bots.commands.BotCommand;

import java.util.Arrays;
import java.util.List;
import java.util.Random;

//
public class KysCommand extends BotCommand {
    private Random randomGenerator = new Random();
    Logger logger;
    private final List<String> kysPics = Arrays.asList(
            "https://i.imgur.com/uHxOz9A.png",
            "https://i.imgur.com/CujbZbz.png",
            "https://i.imgur.com/H1cJtPq.png",
            "https://i.imgur.com/jANZZUW.gif",
            "https://i.imgur.com/QmuAfnf.png",
            "https://i.imgur.com/A6ZRQ0f.png",
            "https://i.imgur.com/riZvq9M.png",
            "https://i.imgur.com/ZZOYNNC.png",
            "https://i.imgur.com/FACFvJE.gif"
    );
    public KysCommand(Bot bot){
        super("kys", "Send pic with tells you to kill yourself");
        logger = bot.logger;
    }
    @Override public void execute(AbsSender absSender, User user, Chat chat, String[] strings) {
        SendMessage message = new SendMessage();
        message.setChatId(chat.getId().toString());
        message.setText(kysPics.get(randomGenerator.nextInt(kysPics.size())));
        try {
            absSender.sendMessage(message);
        } catch (TelegramApiException e){
            logger.error("Failed to send reply for /kys command!");
            e.printStackTrace();
        }
    }
}